iODEHinge2Joint Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iODEHinge2Joint Struct Reference

ODE hinge 2 joint. More...

`#include <ivaria/ode.h>`

Inheritance diagram for iODEHinge2Joint:

List of all members.

## Public Member Functions
virtual csVector3 | GetAnchorError ()=0
| This value will show you how far the joint has come apart.
virtual csVector3 | GetHingeAnchor1 ()=0
| Get the joint anchor point, in world coordinates.
virtual csVector3 | GetHingeAnchor2 ()=0
| Get the joint anchor point, in world coordinates.
virtual float | GetHingeAngle ()=0
| Get the hinge angle.
virtual float | GetHingeAngleRate1 ()=0
| Get the time derivative of angle value.
virtual float | GetHingeAngleRate2 ()=0
| Get the time derivative of angle value.
virtual csVector3 | GetHingeAxis1 ()=0
| Get free hinge axis 1.
virtual csVector3 | GetHingeAxis2 ()=0
| Get free hinge axis 2.
virtual void | SetHingeAnchor (const csVector3 &pos)=0
| Set the joint anchor point.
virtual void | SetHingeAxis1 (const csVector3 &axis)=0
| Sets free hinge2 axis 1.
virtual void | SetHingeAxis2 (const csVector3 &axis)=0
| Sets free hinge2 axis 2.

## Detailed Description

ODE hinge 2 joint.

The hinge-2 joint is the same as two hinges connected in series, with different hinge axe.

Definition at line 765 of file ode.h.

## Member Function Documentation

virtual csVector3 iODEHinge2Joint::GetAnchorError | ( |  | ) | `[pure virtual]`

This value will show you how far the joint has come apart.

virtual csVector3 iODEHinge2Joint::GetHingeAnchor1 | ( |  | ) | `[pure virtual]`

Get the joint anchor point, in world coordinates.

This returns the point on body 1.

virtual csVector3 iODEHinge2Joint::GetHingeAnchor2 | ( |  | ) | `[pure virtual]`

Get the joint anchor point, in world coordinates.

This returns the point on body 2.

virtual float iODEHinge2Joint::GetHingeAngle | ( |  | ) | `[pure virtual]`

Get the hinge angle.

The nagle is measured between the two bodies. The angle will be between -pi..pi. When the hinge anchor or axis is set, the current position of the attached bodies is examined and that position will be the zero angle.

virtual float iODEHinge2Joint::GetHingeAngleRate1 | ( |  | ) | `[pure virtual]`

Get the time derivative of angle value.

virtual float iODEHinge2Joint::GetHingeAngleRate2 | ( |  | ) | `[pure virtual]`

Get the time derivative of angle value.

virtual csVector3 iODEHinge2Joint::GetHingeAxis1 | ( |  | ) | `[pure virtual]`

Get free hinge axis 1.

virtual csVector3 iODEHinge2Joint::GetHingeAxis2 | ( |  | ) | `[pure virtual]`

Get free hinge axis 2.

virtual void iODEHinge2Joint::SetHingeAnchor | ( | const csVector3 & | pos | ) | `[pure virtual]`

Set the joint anchor point.

The joint will try to keep this point on each body together. Input specified in world coordinates.

virtual void iODEHinge2Joint::SetHingeAxis1 | ( | const csVector3 & | axis | ) | `[pure virtual]`

Sets free hinge2 axis 1.

virtual void iODEHinge2Joint::SetHingeAxis2 | ( | const csVector3 & | axis | ) | `[pure virtual]`

Sets free hinge2 axis 2.

The documentation for this struct was generated from the following file:

- ivaria/ode.h